
Global $i

#cs

If a client wants you to comment on every comment they made on a back-translation, you can automate your responses.

First, reduce the number of possible retorts.  I can think of the following:

Back translation is incorrect.
Back translation is incorrect; correct back translation would be:
Back translation is a synonym or near-synonym.
Change made by client would have exactly the same translation in target language. 
Change made by client can't be implemented in target language because of grammar and/or stylistic differences.
Change made by client can't be implemented in target language because it relates to an idiomatic expression.

Put these retorts in a plain text file, with no blank line at the top, in UTF8, with no BOM.  The script will read the reasons from the file and paste them at the cursor position.

#ce

HotKeySet("^1", "Answer1")
HotKeySet("^2", "Answer2")
HotKeySet("^3", "Answer3")
HotKeySet("^4", "Answer4")
HotKeySet("^5", "Answer5")
HotKeySet("^6", "Answer6")
HotKeySet("^7", "Answer7")
HotKeySet("^8", "Answer8")
HotKeySet("^9", "Answer9")
HotKeySet("^0", "Answer0")

MsgBox (0, "Nessiesez Instructions", "Thanks for using Nessiesez, a simple program to insert a number of standard comments at the cursor position." & @CRLF & @CRLF & "Write up to 9 comments, one per line, in the file retorts.txt."  & @CRLF & "To insert a comment, press Ctrl+number." & @CRLF & "Press ENTER to confirm or Esc to cancel" & @CRLF & "The shortcut Ctrl+0 (zero) will insert no comment." & @CRLF & @CRLF & "To kill Nessiesez, right-click its icon in the systray.")

$retortsstart = InputBox ("Prepend your comments with...", "What would you like to be written in front of your comments?", "John Doe (original translator) responds:")

While 1
    Sleep(100)
WEnd

Func Answer0()
$liner = " " & $retortsstart & " "
ClipPut ($liner)
Send ("^v")
EndFunc

Func Answer1()
$fileopen = FileOpen ("retorts.txt", 128)
$line = FileReadLine ("retorts.txt", 1)
If @error = -1 Then $line = ""
If @error = 1 Then $line = ""
$liner = " " & $retortsstart & " " & $line & " "
$foo = MsgBox (1, "Comment to be inserted (Esc to cancel)", $line)
If $foo = 1 Then
ClipPut ($liner)
Send ("^v")
EndIf
FileClose ("retorts.txt")
EndFunc

Func Answer2()
$fileopen = FileOpen ("retorts.txt", 128)
$line = FileReadLine ("retorts.txt", 2)
If @error = -1 Then $line = ""
If @error = 1 Then $line = ""
$liner = " " & $retortsstart & " " & $line & " "
$foo = MsgBox (1, "Comment to be inserted (Esc to cancel)", $line)
If $foo = 1 Then
ClipPut ($liner)
Send ("^v")
EndIf
FileClose ("retorts.txt")
EndFunc


Func Answer3()
$fileopen = FileOpen ("retorts.txt", 128)
$line = FileReadLine ("retorts.txt", 3)
If @error = -1 Then $line = ""
If @error = 1 Then $line = ""
$liner = " " & $retortsstart & " " & $line & " "
$foo = MsgBox (1, "Comment to be inserted (Esc to cancel)", $line)
If $foo = 1 Then
ClipPut ($liner)
Send ("^v")
EndIf
FileClose ("retorts.txt")
EndFunc


Func Answer4()
$fileopen = FileOpen ("retorts.txt", 128)
$line = FileReadLine ("retorts.txt", 4)
If @error = -1 Then $line = ""
If @error = 1 Then $line = ""
$liner = " " & $retortsstart & " " & $line & " "
$foo = MsgBox (1, "Comment to be inserted (Esc to cancel)", $line)
If $foo = 1 Then
ClipPut ($liner)
Send ("^v")
EndIf
FileClose ("retorts.txt")
EndFunc


Func Answer5()
$fileopen = FileOpen ("retorts.txt", 128)
$line = FileReadLine ("retorts.txt", 5)
If @error = -1 Then $line = ""
If @error = 1 Then $line = ""
$liner = " " & $retortsstart & " " & $line & " "
$foo = MsgBox (1, "Comment to be inserted (Esc to cancel)", $line)
If $foo = 1 Then
ClipPut ($liner)
Send ("^v")
EndIf
FileClose ("retorts.txt")
EndFunc


Func Answer6()
$fileopen = FileOpen ("retorts.txt", 128)
$line = FileReadLine ("retorts.txt", 6)
If @error = -1 Then $line = ""
If @error = 1 Then $line = ""
$liner = " " & $retortsstart & " " & $line & " "
$foo = MsgBox (1, "Comment to be inserted (Esc to cancel)", $line)
If $foo = 1 Then
ClipPut ($liner)
Send ("^v")
EndIf
FileClose ("retorts.txt")
EndFunc


Func Answer7()
$fileopen = FileOpen ("retorts.txt", 128)
$line = FileReadLine ("retorts.txt", 7)
If @error = -1 Then $line = ""
If @error = 1 Then $line = ""
$liner = " " & $retortsstart & " " & $line & " "
$foo = MsgBox (1, "Comment to be inserted (Esc to cancel)", $line)
If $foo = 1 Then
ClipPut ($liner)
Send ("^v")
EndIf
FileClose ("retorts.txt")
EndFunc


Func Answer8()
$fileopen = FileOpen ("retorts.txt", 128)
$line = FileReadLine ("retorts.txt", 8)
If @error = -1 Then $line = ""
If @error = 1 Then $line = ""
$liner = " " & $retortsstart & " " & $line & " "
$foo = MsgBox (1, "Comment to be inserted (Esc to cancel)", $line)
If $foo = 1 Then
ClipPut ($liner)
Send ("^v")
EndIf
FileClose ("retorts.txt")
EndFunc


Func Answer9()
$fileopen = FileOpen ("retorts.txt", 128)
$line = FileReadLine ("retorts.txt", 9)
If @error = -1 Then $line = ""
If @error = 1 Then $line = ""
$liner = " " & $retortsstart & " " & $line & " "
$foo = MsgBox (1, "Comment to be inserted (Esc to cancel)", $line)
If $foo = 1 Then
ClipPut ($liner)
Send ("^v")
EndIf
FileClose ("retorts.txt")
EndFunc


